Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033600
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2016-08-02 14:432017-10-02 13:26
ReportershuehnerView Statuspublic 
Assigned Toadrianromero 
PrioritynormalResolutionfixedFixed in VersionRR17Q3
StatusclosedFix in branchFixed in SCM revision8a5844083a6d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033600: mobile.core.ProfileUtils request contains list of all orgs + warehouses in system

DescriptionThat should be reviewed if client really needs access to all that data.

Also that request in bigger test env with 524 orgs always takes around 1.5s to complete (on local system)
Steps To ReproduceReview runtime + response of that request in a system with lots of orgs
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0033585 closedadrianromero term.Terminal request includes all writableOrganizations of the client 

-  Notes
(0095797)
hgbot (developer)
2017-04-03 12:22

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 8a5844083a6d5cbe157357993502bc4592f5e1c3
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Fri Mar 31 09:14:58 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/8a5844083a6d5cbe157357993502bc4592f5e1c3 [^]

Fixes issue 0033600: mobile.core.ProfileUtils request contains list of all orgs + warehouses in system

---
M web/org.openbravo.mobile.core/source/component/dialog/ob-profile.js
---
(0095798)
adrianromero (manager)
2017-04-03 12:23

The fix applied delays the load of list for all orgs and warehouses to the display of the Profile dialog. It is not required to load this list until required by the Profile dialog.

- Issue History
Date Modified Username Field Change
2016-08-02 14:43 shuehner New Issue
2016-08-02 14:43 shuehner Assigned To => Retail
2016-08-02 14:43 shuehner Triggers an Emergency Pack => No
2016-08-02 14:43 shuehner Tag Attached: Performance
2016-08-02 14:43 shuehner Relationship added related to 0033585
2017-03-14 16:30 shuehner Severity minor => major
2017-03-23 18:09 adrianromero Assigned To Retail => reinaldoguerra
2017-03-23 18:09 adrianromero Status new => scheduled
2017-03-28 11:35 adrianromero Assigned To reinaldoguerra => adrianromero
2017-04-03 12:22 hgbot Checkin
2017-04-03 12:22 hgbot Note Added: 0095797
2017-04-03 12:22 hgbot Status scheduled => resolved
2017-04-03 12:22 hgbot Resolution open => fixed
2017-04-03 12:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/8a5844083a6d5cbe157357993502bc4592f5e1c3 [^]
2017-04-03 12:23 adrianromero Note Added: 0095798
2017-04-03 12:24 adrianromero Review Assigned To => marvintm
2017-04-05 17:38 marvintm Status resolved => closed
2017-04-05 17:38 marvintm Fixed in Version => RR17Q2
2017-10-02 13:26 marvintm Fixed in Version RR17Q2 => RR17Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker